# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-12-28 17:13
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('argo', '0003_add_pattern_model'),
    ]

    operations = [
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.TextField(verbose_name='Name')),
            ],
            options={
                'verbose_name': 'Profile',
                'verbose_name_plural': 'Profiles',
            },
        ),
        migrations.CreateModel(
            name='Profile_Skill',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('profile', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='argo.Profile', verbose_name='Profile')),
            ],
            options={
                'verbose_name': 'Profile Skill',
                'verbose_name_plural': 'Profiles Skills',
            },
        ),
        migrations.CreateModel(
            name='Skill',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField(verbose_name='Name')),
                ('value', models.FloatField(verbose_name='Value')),
            ],
            options={
                'verbose_name': 'Skill',
                'verbose_name_plural': 'Skills',
            },
        ),
        migrations.CreateModel(
            name='Task_Skill',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('skill', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='argo.Skill', verbose_name='Skill')),
                ('task', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='argo.Task', verbose_name='Task')),
            ],
            options={
                'verbose_name': 'Task Skill',
                'verbose_name_plural': 'Tasks Skills',
            },
        ),
        migrations.AddField(
            model_name='skill',
            name='ts_skill',
            field=models.ManyToManyField(through='argo.Task_Skill', to='argo.Task', verbose_name='Task'),
        ),
        migrations.AddField(
            model_name='profile_skill',
            name='skill',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='argo.Skill', verbose_name='Skill'),
        ),
        migrations.AddField(
            model_name='profile',
            name='sk_profile',
            field=models.ManyToManyField(through='argo.Profile_Skill', to='argo.Skill', verbose_name='Skill'),
        ),
    ]
